<?php
// WizyTówka - dane.php

// odczytywanie ustawień
function dane_o($co)
{
  $uchwyt = fopen('dane/'.$co,'r');
  $zawartosc = fread($uchwyt, 1000000);
  return $zawartosc;
}

// zapisywanie ustawień
function dane_s($co_plik,$co_zapis)
{
  $uchwyt = fopen('dane/'.$co_plik,'w');
  fwrite($uchwyt,$co_zapis);
}

// resetowanie ustawień
function dane_reset()
{
  if (!file_exists('dane'))
    mkdir('dane');
  if (!file_exists('dane/css-user'))
    mkdir('dane/css-user');
  if (!file_exists('dane/home'))
    mkdir('dane/home');
  if (!file_exists('dane/galeria'))
    mkdir('dane/galeria');
  if (!file_exists('dane/inne'))
    mkdir('dane/inne');
  if (!file_exists('dane/kontakt'))
    mkdir('dane/kontakt');
  if (!file_exists('dane/stats'))
    mkdir('dane/stats');
  if (!file_exists('dane/user'))
    mkdir('dane/user');
  
  dane_s('css-user/bg.txt','FFFFFF');
  dane_s('css-user/font.txt','Trebuchet MS');
  dane_s('css-user/ss.txt','600');
  dane_s('css-user/text.txt','000000');
  dane_s('css-user/tylko-css.txt','');
  
  // źródło tekstu: http://lipsum.pl
  dane_s('home/home.txt','Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Nazywał się spory o Bonaparta, zawsze ciekaw o Bonaparta, zawsze ciekaw o Bonaparta, zawsze i Moskalom przez grzeczność prosił na piasku, bez grzeczności i wszerz smugów Świecą gęsto jak zdrowe oblicz gospodarza, gdy prace skończywszy rolnicze, na wsi litewskiej, kiedy bliżej poznał panów rozmów trwała już pomrok mglisty napełniając wierzchołki i w Ulm, w żałobie... ');
  
  if (file_exists('dane/galeria/gal.txt'))
  {
    $galeria_lista = dane_o('galeria/gal.txt');
    $galeria = explode('<ZDJ>',$galeria_lista);
    for($a=1;$a<count($galeria);$a++) 
      unlink('dane/galeria/'.$galeria[$a]);
  }
  dane_s('galeria/gal.txt','');
  
  dane_s('inne/menu_home.txt','yes');
  dane_s('inne/menu_galeria.txt','yes');
  dane_s('inne/menu_kontakt.txt','yes');
  dane_s('inne/przyjazne.txt','');
  dane_s('inne/adres.txt','');
  dane_s('inne/opis.txt','');
  dane_s('inne/tytul.txt','Jan Kowalski');
  
  dane_s('kontakt/email.txt','Jan Kowalski');
  dane_s('kontakt/facebook.txt','http://facebook.com/');
  dane_s('kontakt/naszaklasa.txt','http://nk.pl/');
  dane_s('kontakt/youtube.txt','http://youtube.com/');
  
  dane_s('stats/all.txt','0');
  dane_s('stats/dzis.txt','0');
  dane_s('stats/odata.txt','');
  dane_s('stats/oip.txt','');
  dane_s('stats/ostatnia.txt','');
  dane_s('stats/stats.txt','yes');
  dane_s('stats/licznik_pokaz.txt','yes');
  dane_s('stats/licznik_przed.txt','Stronę odwiedziło już ');
  dane_s('stats/licznik_po.txt',' osób.');
  
  dane_s('user/id.txt','');
  dane_s('user/haslo.txt','');
  
  if (file_exists('dane/install.txt'))
    unlink('dane/install.txt');
  dane_s('styl.css',fread(fopen('system/domyslny.css','r'),10000));
  
  dane_s('css-user/.htaccess','Deny from all');
  dane_s('galeria/.htaccess','Options -Indexes');
  dane_s('home/.htaccess','Deny from all');
  dane_s('inne/.htaccess','Deny from all');
  dane_s('kontakt/.htaccess','Deny from all');
  dane_s('stats/.htaccess','Deny from all');
  dane_s('user/.htaccess','Deny from all');
  dane_s('.htaccess','Options -Indexes');
  if (file_exists('.htaccess'))
    unlink('.htaccess');
}
?>